<?php
/* ###################################################################

Contentpapst wurde von der sandoba.de medien agentur (www.sandoba.de) aus Berlin entworfen und unterliegt dem Urheberrecht. Jedwede nderung des Codes auerhalb der Lizenzrechte ist nicht erlaubt. Anfragen bitte an "contact@sandoba.de".

Website: www.sandoba.de
 sandoba.de medien agentur, 2002-2015

#################################################################### */

$lang["xml_support"] = "XML-Untersttzung wird bentigt, wenn das XML-Modul des Systems eingesetzt werden soll.";
$lang["db_support"] = "Achten Sie darauf, dass die Datenbank, welche Sie fr das Systems einsetzen wollen, funktionsfhig installiert ist.";
$lang["basedir_support"] = "Diese PHP-Einstellung sollte nach Mglichkeit deaktiviert sein (\"Off\", \"0\" oder leer), um Dateien auerhalb des Contentpapst-Verzeichnisses bearbeiten zu knnen. Fast immer ist jedoch auch ein Betrieb mit aktiviertem open_basedir ohne Einschrnkungen mglich.";
$lang["safemode_support"] = "Diese PHP-Einstellung muss deaktiviert sein (\"Off\", \"0\" oder leer). U.a. wird ein deaktivierter safe_mode fr den Dateiupload und die Bearbeitung von Dateien direkt ber den Administrationsbereich bentigt.";
$lang["file_support"] = "Damit Dateien auch im gleichen Ordner per PHP hochgeladen und bearbeitet werden drfen, mssen Sie zuerst noch per FTP die Zugriffsrechte (CHMOD) auf 777 oder 755 setzen.";
$lang["allowurlfopen_support"] = "Diese PHP-Einstellung muss aktiviert sein (\"On\" oder \"1\"), damit das System z.B. neue Module herunterladen und berprfen kann, ob ein Update vorliegt.";
$lang["write_file"] = "Datei schreiben";
$lang["delete_file"] = "Datei lschen";
$lang["upload_file"] = "Datei hochladen";
$lang["jpg_support"] = "JPEG-Untersttzung";
$lang["png_support"] = "PNG-Untersttzung";

####################################################################

function show_result($mode) {

	GLOBAL $lang;

	$color_red = "#E42924";
	$color_green = "#369043";
	$color_blue = "#2C63B6";

	$width = "194";
	$version = str_replace(".", "", phpversion());
	$version = substr($version,0,3);

	$status_ok = "<span style=\"background-color: ".$color_green."\">&nbsp;&nbsp;&nbsp;&nbsp;</span>";
	$status_error = "<span style=\"background-color: ".$color_red."\">&nbsp;&nbsp;&nbsp;&nbsp;</span>";
	$status_noproblem = "<span style=\"background-color: ".$color_blue."\">&nbsp;&nbsp;&nbsp;&nbsp;</span>";

	if ($mode == "1") {

		$modules = get_loaded_extensions();

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "MySQL-Datenbank: ";
		echo "</td><td>";

		if (in_array("mysql", $modules)) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "Sessions: ";
		echo "</td><td>";

		if (in_array("session", $modules)) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "XML: ";
		echo "</td><td>";

		if (in_array("xml", $modules)) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "Emailversand und -empfang: ";
		echo "</td><td>";

		if (in_array("mail", get_extension_funcs("standard"))) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo $lang["write_file"].": ";
		echo "</td><td>";

		$fp = fopen("cp.test.tmp", "w");

		if ($fp) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		fclose($fp);

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo $lang["delete_file"].": ";
		echo "</td><td>";

		$delete_file = unlink("cp.test.tmp");

		if ($delete_file) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo $lang["upload_file"].": ";
		echo "</td><td>";

		if (get_cfg_var("file_uploads")) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

	} else {

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "PHP-Version (aktuell: ".phpversion()."): ";
		echo "</td><td>";

		if ($version > 405) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "GD-Library: ";
		echo "</td><td>";

		if (extension_loaded("gd")) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo $lang["jpg_support"].": ";
		echo "</td><td>";

		if (@imagetypes() AND IMG_JPG) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo $lang["png_support"].": ";
		echo "</td><td>";

		if (@imagetypes() AND IMG_PNG) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "allow_url_fopen = On: ";
		echo "</td><td>";

  if (get_cfg_var("allow_url_fopen") OR in_array(ini_get("allow_url_fopen"), array("1", "On"))) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "safe_mode = Off: ";
		echo "</td><td>";

		if (!ini_get("safe_mode") OR in_array(ini_get("safe_mode"), array("0", "Off", "off"))) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>\n";

		echo "<tr><td width=\"".$width."\" bgcolor=\"#F2F2F2\">";
		echo "open_basedir = Off: ";
		echo "</td><td>";

		if (!ini_get("open_basedir") OR in_array(ini_get("open_basedir"), array("0", "Off"))) {
			echo $status_ok;
		} else {
			echo $status_noproblem;
		}

		echo "</td></tr>\n";

	}

}

####################################################################

error_reporting(0);

$color_red = "#E42924";
$color_green = "#369043";
$color_blue = "#2C63B6";

if ($_REQUEST["mode"] == "phpinfo") {

	phpinfo();

} else {

  echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">
  <html xmlns=\"http://www.w3.org/1999/xhtml\" lang=\"de\" xml:lang=\"de\">

  <head>

    <title>sandoba.de medien agentur - Konfigurationsberprfung fr Contentpapst, CP::Shop und Co.</title>

    <meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\" />
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=7\" />
    <meta http-equiv=\"cache-control\" content=\"no-cache\">
    <meta http-equiv=\"pragma\" content=\"no-cache\" />
    <meta http-equiv=\"expires\" content=\"0\" />

    <meta name=\"robots\" content=\"noindex,nofollow\" />

    <meta name=\"viewport\" content=\"initial-scale=1.0, user-scalable=no, minimal-ui\" />
    <meta name=\"apple-mobile-web-app-capable\" content=\"yes\" />

    <link rel=\"stylesheet\" href=\"//fonts.googleapis.com/css?family=Open+Sans:400,300\" type=\"text/css\" media=\"all\" />

    <style type=\"text/css\">
    body {
      background-color: #FFFFFF;
      color: black;
      font-family: 'Open Sans', Tahoma, Arial, Sans-Serif;
      font-size: 12px;
      overflow-x: hidden;
      margin: 10px;
      padding: 0;
    }

  	table {
      text-align: left;
  	}

  	a {
  		color:#000000;
  		text-decoration: underline;
  	}
    </style>

  </head>

  <body>\n\n";

	echo "<div style=\"max-width: 450px\">\n\n";

  echo "<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n";

	echo "<tr><td colspan=\"2\">";
	echo "<strong>Konfigurationsberprfung fr Contentpapst, CP::Shop und Co.</strong>";
	echo "<hr noshade size=\"1\" color=\"#000000\" />";
	echo "</td></tr>\n";

	echo "<tr><td valign=\"top\">\n\n";

	echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\">\n";
	show_result(0);
	echo "</table>\n\n";

	echo "</td><td valign=\"top\">\n\n";

	echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\">\n";
	show_result(1);
	echo "</table>\n\n";

	echo "</td></tr>\n";

	echo "<tr><td colspan=\"2\" align=\"center\">\n\n";
	echo "<strong>Status:</strong>&nbsp;&nbsp;<span style=\"background-color: ".$color_green."\">&nbsp;&nbsp;&nbsp;&nbsp;</span> OK&nbsp;&nbsp;<span style=\"background-color: ".$color_red."\">&nbsp;&nbsp;&nbsp;&nbsp;</span> Fehlerhaft&nbsp;&nbsp;<span style=\"background-color: ".$color_blue."\">&nbsp;&nbsp;&nbsp;&nbsp;</span> Nicht berprfbar!";
	echo "</td></tr>\n";

	echo "<tr><td colspan=\"2\"><br />";
	echo "<strong>Erluterungen zu den einzelnen Einstellungen</strong>";
	echo "<hr noshade size=\"1\" color=\"#000000\"/>";
	echo "</td></tr>\n";

	echo "</table><br />\n\n";

	echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"100%\">\n";

	echo "<tr><td width=\"120\" valign=\"top\">";
	echo "<strong>XML:</strong></td><td valign=\"top\">";
	echo $lang["xml_support"];
	echo "</td></tr>\n";

	echo "<tr><td width=\"120\" valign=\"top\">";
	echo "<strong>MySQL-Datenbank:</strong></td><td valign=\"top\">";
	echo $lang["db_support"];
	echo "</td></tr>\n";

	echo "<tr><td width=\"120\" valign=\"top\">";
	echo "<strong>allow_url_fopen:</strong></td><td valign=\"top\">";
	echo $lang["allowurlfopen_support"];
	echo "</td></tr>\n";

	echo "<tr><td width=\"120\" valign=\"top\">";
	echo "<strong>safe_mode:</strong></td><td valign=\"top\">";
	echo $lang["safemode_support"];
	echo "</td></tr>\n";

	echo "<tr><td width=\"120\" valign=\"top\">";
	echo "<strong>open_basedir:</strong></td><td valign=\"top\">";
	echo $lang["basedir_support"];
 echo "</td></tr>\n";

	echo "<tr><td width=\"120\" valign=\"top\">";
	echo "<strong>Datei schreiben /<br />Datei lschen /<br />Datei hochladen:</strong></td><td valign=\"top\">";
	echo $lang["file_support"];
	echo "</td></tr>\n";

	echo "</table><br />\n\n";

	echo "<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\" width=\"100%\">\n";

	echo "<tr><td colspan=\"2\">";
	echo "<strong>PHP-Einstellungen des Servers anzeigen</strong>";
	echo "<hr noshade size=\"1\" color=\"#000000\" /><br />";
	echo "Wenn Sie einen noch genaueren Blick auf die aktuellen PHP-Einstellungen auf Ihrem Webpaket / Server werfen wollen, dann klicken Sie auf den untenstehenden Link. Dort finden Sie dann auch weitere Informationen, wie z.B. die Versionsnummer der MySQL-Datenbank.<br /><br />";
	echo "<p align=\"center\"><a href=\"".$_SERVER["PHP_SELF"]."?mode=phpinfo\" target=\"_blank\"><u>Aktuelle PHP-Einstellungen des Servers jetzt anzeigen</u></a></p>";
	echo "</td></tr>\n";

	echo "</table><br />\n\n";

	echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\n";
	echo "<tr><td colspan=\"2\" align=\"center\"><hr noshade size=\"1\" color=\"#000000\" /><br />";
	echo "<strong>Sie haben weitere Fragen? Email an <a href=\"mailto:contact@sandoba.de\"><u>contact@sandoba.de</u></a> gengt!</strong><br />Webhoster im Test: <a href=\"http://www.sandoba.de/support/webhoster-im-test/\" target=\"_blank\"><u>http://www.sandoba.de/support/webhoster-im-test/</u></a><br /><br />\n";
	echo "&copy; 2002-".date("Y").", sandoba.de medien agentur | <a href=\"http://www.sandoba.de/\" target=\"_blank\">www.sandoba.de</a>";
	echo "</td></tr>\n";
	echo "</table>\n\n";

	echo "</div>\n\n";

	echo "</body>\n";
  echo "</html>";

}
?>